BaseQuantizedByteVectorValues (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.util.quantization, class: BaseQuantizedByteVectorValues

Package org.apache.lucene.util.quantization

# Class BaseQuantizedByteVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.ByteVectorValues
org.apache.lucene.util.quantization.BaseQuantizedByteVectorValues

All Implemented Interfaces:
  `HasIndexSlice`

Direct Known Subclasses:
  `LegacyQuantizedByteVectorValues`, `QuantizedByteVectorValues`

public abstract class BaseQuantizedByteVectorValues extends ByteVectorValues implements HasIndexSlice
A version of `ByteVectorValues` for Scalar quantization scores.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

  `KnnVectorValues.DocIndexIterator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseQuantizedByteVectorValues()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IndexInput`
  `getSlice()`
  Returns an IndexInput from which to read this instance's values, or null if not available.
  `VectorScorer`
  `scorer(float[] query)`
  Return a `VectorScorer` for the given query vector.

  ### Methods inherited from class org.apache.lucene.index.ByteVectorValues

  `checkField, copy, fromBytes, getEncoding, rescorer, scorer, vectorValue`

  ### Methods inherited from class org.apache.lucene.index.KnnVectorValues

  `createDenseIterator, createSparseIterator, dimension, fromDISI, getAcceptOrds, getVectorByteLength, iterator, ordToDoc, prefetch, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseQuantizedByteVectorValues

    public BaseQuantizedByteVectorValues()

- ## Method Details

  - ### scorer

    public VectorScorer scorer(float[] query) throws IOException
    Return a `VectorScorer` for the given query vector.
    Parameters:
      `query` - the query vector
    Returns:
      a `VectorScorer` instance or null
    Throws:
      `IOException`

  - ### getSlice

    public IndexInput getSlice()
    Description copied from interface: `HasIndexSlice`
    Returns an IndexInput from which to read this instance's values, or null if not available.
    Specified by:
      `getSlice` in interface `HasIndexSlice`